Retrieve subscription
Retrieve a subscription by ID. Use expand to inline related objects.
Authorizations
Bearer API Key, for example Bearer sk_live_xxx.
Unix timestamp in seconds. Must be within 5 minutes of server time.
Replay-protection nonce, 16-64 characters. Use a fresh UUID per request.
Lowercase hex HMAC-SHA256 of {timestamp}.{nonce}.{requestBody} signed with the merchant API Secret. For GET requests, requestBody is an empty string.
Headers
Unix timestamp in seconds. Must be within 5 minutes of server time.
Replay-protection nonce, 16-64 characters. Use a fresh UUID per request.
16 - 64Lowercase hex HMAC-SHA256 of {timestamp}.{nonce}.{requestBody} signed with the merchant API Secret. For GET requests, requestBody is an empty string.
Path Parameters
Subscription ID.
Query Parameters
Expand related objects. Supports latest_invoice, customer, and payment_method; comma-separated values, repeated values, expand[], and camelCase are accepted.
latest_invoice, customer, payment_method Response
Retrieved successfully.
Subscription object.
Subscription ID.
"subscription"
External customer ID.
Store ID.
Currency.
Subscription description.
Subscription status.
incomplete, trialing, active, past_due, canceled, incomplete_expired Subscription items.
Default payment method ID.
Billing cycle anchor, Unix seconds.
Current period start, Unix seconds.
Current period end, Unix seconds.
Cancellation time, Unix seconds.
Scheduled cancellation time, Unix seconds.
Latest invoice ID.
Full invoice object returned when expand=latest_invoice.
Full customer object returned when expand=customer.
Full payment method object returned when expand=payment_method.
Initial-payment checkout URL, returned on creation.
Merchant metadata.
Creation time, Unix seconds.
